Document info

The endpoint allows you to determine the document format and possible conversion formats.

Authentication

Authorizationstring
Every request made to `https://api.uploadcare.com/` MUST be signed. HTTPS SHOULD be used with any authorization scheme. Requests MUST contain the `Authorization` header defining `auth-scheme` and `auth-param`: `Authorization: auth-scheme auth-param`. Every request MUST contain the `Accept` header identifying the REST API version: `Accept: application/vnd.uploadcare-v0.7+json`. There are two available authorization schemes: * For production: `Uploadcare`, a scheme where a `signature`, not your Secret API Key MUST be specified. Signatures SHOULD be generated on backend. * For quick tests: `Uploadcare.Simple`, a simple scheme where your [Secret API Key](https://app.uploadcare.com/projects/-/api-keys/) MUST be specified in every request's `auth-param`.

Path parameters

uuidstringRequired
File uuid.

Headers

AcceptstringRequired
Version header.

Response

Success.
errorstring or nullOptional
Holds an error if your document can't be handled.
formatobjectOptional
Document format details.
converted_groupsmap from strings to stringsOptional

Information about already converted groups. Each key is a conversion format (e.g. pdf), and the value is the converted group’s ID.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
406
Not Acceptable Error
429
Too Many Requests Error